Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.client
Class SolarisPasswordCredential

    java.lang.Object
      |
      +--com.sun.wbem.security.PasswordCredential
            |
            +--com.sun.wbem.client.SolarisPasswordCredential

public class SolarisPasswordCredential
extends com.sun.wbem.security.PasswordCredential

This class implements a password based credential for a Solaris user authentication. It should be used in conjunction with the SolarisUserPrincipal instance. It contains a user login password and optionally contains a role login password.

Since:
  WBEM 2.0

Fields inherited from class com.sun.wbem.security.PasswordCredential
`MAX_PASSWORD_SIZE, NULL_PASSWORD`

Constructor Summary
`SolarisPasswordCredential()` Empty constructor.
`SolarisPasswordCredential(java.lang.String userPassword)` This constructor accepts the Solaris user login password.
`SolarisPasswordCredential(java.lang.String userPassword, java.lang.String rolePassword)` This constructor accepts the Solaris user login password and the password of the Solaris role that the user will assume.

Method Summary
`void` | `clearRolePassword()` Clear the role password.
`java.lang.String` | `getRolePassword()` Return the password for the Solaris role that the principal is assuming on the Solaris server.
`void` | `setRolePassword(java.lang.String rolePassword)` Set the password for the Solaris role that the principal is assuming on the Solaris server.

Methods inherited from class com.sun.wbem.security.PasswordCredential
`clearUserPassword, getUserPassword, setUserPassword`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SolarisPasswordCredential

    public SolarisPasswordCredential()

  Empty constructor.

### SolarisPasswordCredential

    public SolarisPasswordCredential(java.lang.String userPassword)

  This constructor accepts the Solaris user login password.
  Parameters:
    `userPassword` - The Solaris user login password.

### SolarisPasswordCredential

    public SolarisPasswordCredential(java.lang.String userPassword,
                                     java.lang.String rolePassword)

  This constructor accepts the Solaris user login password and the password of the Solaris role that the user will assume.
  Parameters:
    `userPassword` - The Solaris user login password.
    `rolePassword` - The Solaris role password.

Method Detail

### getRolePassword

    public java.lang.String getRolePassword()

  Return the password for the Solaris role that the principal is assuming on the Solaris server.
  Returns:
    The Solaris role password.

### setRolePassword

    public void setRolePassword(java.lang.String rolePassword)

  Set the password for the Solaris role that the principal is assuming on the Solaris server.
  Parameters:
    `rolePassword` - The Solaris role password.

### clearRolePassword

    public void clearRolePassword()

  Clear the role password.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD